import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

class CustomNoRecord extends StatelessWidget {
  final String title;
  final String description;
  final Widget? icon;

  const CustomNoRecord({
    Key? key,
    required this.title,
    required this.description,
    this.icon,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        SizedBox(height: 40),
        SvgPicture.asset("assets/uco/icons/ic_no_result.png",width: 100, height: 100,),
        SizedBox(height: 10),
        Text(title,
            style: Theme.of(context)
                .textTheme
                .bodyMedium!
                .copyWith(fontWeight: FontWeight.w500)),
        SizedBox(height: 10),
        Text(description, style: Theme.of(context).textTheme.bodySmall),
      ],
    );
  }
}
